Package net.sf.saxon.functions.hof

## Class FoldLeftFn

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.FoldingFunction
      - - net.sf.saxon.functions.hof.FoldLeftFn

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class FoldLeftFn
      extends FoldingFunction

  This class implements the function fn:fold-left(), which is a standard function in XPath 3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `FoldLeftFn.FoldLeftFold` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FoldLeftFn()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Fold` | `getFold​(XPathContext context, Sequence... arguments)` | Create the Fold object which actually performs the evaluation.
    `ItemType` | `getResultItemType​(Expression[] args)` | Get the return type, given knowledge of the actual arguments

    - ### Methods inherited from class net.sf.saxon.functions.FoldingFunction

      `call, getStreamerName`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, importAttributes, isTrustedResultType, makeCall, makeFunction, makeFunctionCall, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### FoldLeftFn

          public FoldLeftFn()

  - ### Method Detail

    - #### getFold

          public Fold getFold​(XPathContext context,
                              Sequence... arguments)
                       throws XPathException

      Description copied from class: `FoldingFunction`
      Create the Fold object which actually performs the evaluation. Must be implemented in every subclass.
      Specified by:
        `getFold` in class `FoldingFunction`
      Parameters:
        `context` - the dynamic evaluation context
        `arguments` - the values of all arguments other than the first.
      Returns:
        the Fold object used to compute the function
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### getResultItemType

          public ItemType getResultItemType​(Expression[] args)

      Get the return type, given knowledge of the actual arguments
      Overrides:
        `getResultItemType` in class `SystemFunction`
      Parameters:
        `args` - the actual arguments supplied
      Returns:
        the best available item type that the function will return